TokyoTyrant::num
TokyoTyrant::put
TokyoTyrant
PHP Manual

# TokyoTyrant::out

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::out — Removes records

### Descrição

public TokyoTyrant TokyoTyrant::out ( mixed `$keys` )

Removes a record or multiple records. This method accepts a string for a single key or an array of keys for multiple records.

### Parâmetros

`keys`

  A string key or an array of string keys

### Valor Retornado

This method returns the current object and throws TokyoTyrantException on failure.

### Exemplos

Exemplo #1 TokyoTyrant::out example

`<?php
/* Connect to a database on default port */
$tt = new TokyoTyrant("localhost");
$tt->put("test1", "value1");
$tt->put("test2", "value2");
$tt->out(array("test1", "test2"));
?>`

### Veja Também

- TokyoTyrant::put - Puts values

TokyoTyrant::num
TokyoTyrant::put
TokyoTyrant
PHP Manual